> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account State



## OpenAPI

````yaml /openapi.json get /accounts/{login}/state
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /accounts/{login}/state:
    get:
      tags:
        - Accounts
      summary: Get Account State
      operationId: get_account_state_accounts__login__state_get
      parameters:
        - name: login
          in: path
          required: true
          schema:
            type: string
            title: Login
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountStateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AccountStateResponse:
      properties:
        login:
          type: string
          title: Login
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        balance:
          type: number
          title: Balance
          default: 0
        credit:
          type: number
          title: Credit
          default: 0
        equity:
          type: number
          title: Equity
        pnl:
          type: number
          title: Pnl
        free_margin:
          type: number
          title: Free Margin
        margin_level:
          type: number
          title: Margin Level
        margin_used:
          type: number
          title: Margin Used
        gross_exposure:
          type: number
          title: Gross Exposure
          default: 0
        net_exposure:
          type: number
          title: Net Exposure
          default: 0
        max_withdrawable:
          type: number
          title: Max Withdrawable
          default: 0
      type: object
      required:
        - login
        - equity
        - pnl
        - free_margin
        - margin_level
        - margin_used
      title: AccountStateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````